Summary:        Yet another PEP 517 backend
Name:           python-pdm-pep517
Version:        1.1.4
Release:        4%{?dist}
License:        MIT AND Apache-2.0 AND Public Domain AND BSD-3-Clause AND ISC
URL:            https://pdm.fming.dev
Source0:        https://github.com/pdm-project/pdm-backend/archive/refs/tags/%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  python3-devel python3-setuptools git pytest

BuildArch:      noarch

%description
This is the backend for PDM projects, while you can also use it alone. It
reads the metadata of PEP 621 format and coverts it to Core metadata.

%package -n python3-pdm-pep517
Summary: Yet another PEP 517 backend

%description -n python3-pdm-pep517
This is the backend for PDM projects, while you can also use it alone. It
reads the metadata of PEP 621 format and coverts it to Core metadata.

%prep
%autosetup -n pdm-backend-%{version}
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pdm

%check
%pytest

%files -n python3-pdm-pep517
%license LICENSE
%doc README.md
%dir %{python3_sitelib}/pdm_pep517-%{version}.dist-info
%{python3_sitelib}/pdm_pep517-%{version}.dist-info/*
%{python3_sitelib}/pdm/pep517

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.4-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.4-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.4-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 Miaojun Dong <zoedong@tencent.com> - 1.1.4-1
- initial build
